adun.app (0.81-14build6) oracular; urgency=medium

  * Rebuild against new libsteptalk0d.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Jul 2024 08:15:21 +0200

adun.app (0.81-14build5) oracular; urgency=medium

  * Rebuild against new libgnustep-gui0.31.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 06 Jul 2024 09:33:48 +0200

adun.app (0.81-14build4) mantic; urgency=medium

  * No-change rebuild against libsqlclient1.9

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Jul 2023 00:10:55 +0000

adun.app (0.81-14build3) mantic; urgency=medium

  * Rebuild against libgnustep-base1.29.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 18 Jun 2023 11:52:27 +0200

adun.app (0.81-14build2) jammy; urgency=medium

  * No-change rebuild against libgnustep-base1.28

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Jan 2022 18:46:28 +0000

adun.app (0.81-14build1) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:22:11 +0000

adun.app (0.81-14) unstable; urgency=medium

  [ Yavor Doganov ]
  * debian/patches/gcc-10.patch: New; fix FTBFS with GCC 10
    (Closes: #956981).
  * debian/patches/spelling-errors.patch: Fix more spelling errors.
  * debian/patches/series: Update.
  * debian/rules (DEB_LDFLAGS_MAINT_APPEND): Drop -Wl,--as-needed; default
    as of GCC 9.
    (override_dh_link): Replace dh_gnustep with gsdh_gnustep to avoid
    lintian error "missing-build-dependency-for-dh_-command".
    (override_dh_auto_install): Convert the app icon to PNG format and
    install it in /usr/share/GNUstep/UL.app; fixes an AppStream error.
  * debian/control (Build-Depends): Switch to debhelper-compat; bump
    compat level to 13.  Remove gnustep-make; required version is in
    buster.  Add imagemagick for the icon conversion.
    (Depends): Remove obsolete substvar $(gnustep:Depends).
    (Rules-Requires-Root): Set to "no".
    (Standards-Version): Bump to 4.5.0; no changes needed.
  * debian/compat: Delete.
  * debian/UL.desktop: Use the PNG icon.
  * debian/copyright: Fix Lintian warning "tab-in-license-text".

  [ Andreas Tille ]
  * Add salsa-ci file (routine-update)
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Yavor Doganov <yavor@gnu.org>  Tue, 16 Jun 2020 17:02:59 +0300

adun.app (0.81-13) unstable; urgency=medium

  * debian/patches/ftbfs-powerpcspe.patch: New; fixes FTBFS on powerpcspe.
  * debian/patches/gcc-warnings.patch: Fix more warnings.
  * debian/patches/series: Update.
  * debian/control (Build-Depends): Bump gnustep-make requirement to >=
    2.7.0-4 for "terse" support.
    (Homepage): Replace with the GNUstep wiki page.
  * debian/rules: Use dh_auto_* commands instead of $(MAKE).  Strip
    trailing whitespace.  Support "terse" in DEB_BUILD_OPTIONS.
  * debian/copyright: Add comment that the source is available only in
    Debian.  Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 24 Jan 2019 12:45:35 +0200

adun.app (0.81-12) unstable; urgency=medium

  [ Andreas Tille ]
  * Point Vcs fields to salsa.debian.org

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * Standards-Version: 4.3.0
  * Drop useless get-orig-source target

 -- Andreas Tille <tille@debian.org>  Wed, 02 Jan 2019 16:06:22 +0100

adun.app (0.81-11) unstable; urgency=medium

  * debian/patches/gcc-6.patch: Remove; workaround for an old GCC bug.
  * debian/patches/gcc-warnings.patch: Fix more warnings.
  * debian/patches/enable-scripting-extension.patch: Update NSTableView
    delegate/data source methods; fix some compiler warnings.
  * debian/patches/enable-sql-extension.patch: Fix some trivial warnings.
  * debian/patches/invalid-observer.patch: New; fix segfault when loading
    a molecule file.  Thanks to Sasa Paporovic for the report and the
    supplied molecule file (LP: #914750).
  * debian/patches/spelling-errors.patch: New; self-explanatory.
  * debian/patches/check-return-value.patch: New; check the return value
    of some functions; fixes new warnings caused by the hardening flags.
  * debian/patches/series: Update.
  * debian/rules (DEB_OBJCFLAGS_MAINT_APPEND): Define to eliminate a ton
    of bogus compiler warnings which make the build log unreadable.
    (DEB_CFLAGS_MAINT_APPEND): Add -Wno-unused-parameter.
    (optim): Remove conditional and rely on the definition at
    /usr/share/GNUstep/debian/config.mk.
    (override_dh_auto_build): Don't generate the .xpm icon; it was
    necessary only for the menu file which is gone.
    (override_dh_clean, override_dh_strip): Remove.
  * debian/compat: Bump compat level to 11.
  * debian/control (Build-Depends): Bump gnustep-make version requirement
    to 2.7.0-3 for the optim variable definition.  Remove imagemagick.
    Bump debhelper requirement to >= 11.
    (Standards-Version): Claim compliance with 4.1.3.
    (Breaks, Replaces): Remove; obsolete.
    (adun.app-dbg): Remove in favor of automatic -dbgsym packages.
  * debian/install: Remove adun.xpm.
  * debian/AdunCore.1: Typo fix.
  * debian/copyright: Update copyright years; point to GPL-3.  Change
    Gürkan's family name as requested.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 06 Jan 2018 19:32:20 +0200

adun.app (0.81-10) unstable; urgency=medium

  * Move packaging from SVN to Git
  * Download site vanished - so adding fake watch file
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Wed, 27 Sep 2017 08:56:33 +0200

adun.app (0.81-9) unstable; urgency=medium

  [ Gert Wollny ]
  * Team upload.
  * d/p/gcc-6: Add patch to fix compilation with gcc-6, Closes: #811709
  * cme fix dpkg-control
  * d/control: Change browse URL to https

  [ Andreas Tille ]
  * hardening=+bindnow

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 04 Jul 2016 10:00:50 +0000

adun.app (0.81-8) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Closes: #807176

  [ Andreas Tille ]
  * drop debian/menu file

 -- Andreas Tille <tille@debian.org>  Sun, 06 Dec 2015 19:46:48 +0100

adun.app (0.81-7) unstable; urgency=medium

  [ Yavor Doganov ]
  * debian/patches/gcc-warnings.patch: New, adapt to the new GNUstep API
    and fix some important warnings (Closes: #749733).
  * debian/patches/enable-scripting-extension.patch:
  * debian/patches/enable-sql-extension.patch: New.
  * debian/patches/series: Update.
  * debian/rules: Simplify.
  * debian/control (Section): Change to "science", more appropriate.
    (Standards-Version): Bump to 3.9.5 (no changes needed).
    (Build-Depends): Add libsteptalk-dev and libsqlclient-dev for the
    scripting and SQL extensions.  Require gnustep-make (>= 2.6.6-2).
    (Depends): Add steptalk; temporary solution until it is fixed.
    (adun-core, adun.app-dbg): New packages (Closes: #671226).  Amend
    descriptions and package relationships accordingly.
  * debian/install:
  * debian/mangpages: Move items for adun-core to...
  * debian/adun-core.install:
  * debian/adun-core.manpages: ...new files.
  * debian/dirs:
  * debian/README.source: Delete.
  * debian/README.Debian: Add info about the built-in extensions.
  * debian/UL.desktop: Add Keywords field.

  [ Andreas Tille ]
  * cme fix dpkg-control
  * Unneeded mips workaround was removed
    Closes: #789983
  * DEP5 copyright
  * Add license of icons provided also by tango-icon-theme
  * Add license of StepTalk files
  * Add license of MIT files

  [ Gregor Hermann ]
  * Fix "ftbfs with GCC-5": apply patch from Matthias Klose,
    adjusted to changes between -6 and -7:
    debian/rules: build with "-fgnu89-inline".
    (Closes: #777766)

 -- Andreas Tille <tille@debian.org>  Fri, 28 Aug 2015 16:09:28 +0200

adun.app (0.81-6) unstable; urgency=low

  [ Charles Plessy ]
  * Renamed debian/upstream-metadata.yaml to debian/upstream

  [ Andreas Tille ]
  * debian/source/format: 3.0 (quilt)
  * debian/upstream: Small modifications to better match
    definition of References
  * debian/control:
     - cme fix dpkg-control
  * debian/rules:
     - dh
     - hardening

  [ Thorsten Alteholz ]
  * debian/rules: target get-orig-source added

 -- Andreas Tille <tille@debian.org>  Fri, 15 Nov 2013 13:54:30 +0100

adun.app (0.81-5) unstable; urgency=low

  * Use quilt instead of dpatch
  * Apply patch provided by Andreas Moog <amoog@ubuntu.com> (Thanks
    to Andreas) to fix a build failure
    Closes: 631641 (LP: 771041)
  * Standards-Version: 3.9.2 (no changes needed)
  * Debhelper 8 (control+compat)
  * Corrected Vcs-URLs

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jun 2011 10:38:55 +0200

adun.app (0.81-4) unstable; urgency=low

  * debian/rules (mipsen-flags): New variable, conditionally define only
    when building on mips/mipsel as a workaround for gcc-4.4 bug #519006.
    (build-stamp): Use it.
  * debian/control (Build-Depends): Remove obsolete version requirement
    for libgnustep-gui-dev.
    (Standards-Version): Compliant with 3.9.1 (no changes required).

 -- Yavor Doganov <yavor@gnu.org>  Mon, 09 Aug 2010 16:16:34 +0300

adun.app (0.81-3) unstable; urgency=low

  [ Charles Plessy ]
  * Documented informations in ‘debian/upstream-metadata.yaml’.

  [ Yavor Doganov ]
  * debian/rules: Export GNUSTEP_MAKEFILES and avoid gs_make.  All uses
    updated.  Add verbose comments about GNUstep-specific stuff for the
    benefit of other debian-med contributors.
    (OPTFLAG): Remove and simplify noopt handling to be compatible with
    gnustep-make/2.4.x (Closes: #581886).
  * debian/control (Depends): Add ${misc:Depends}.
    (Standards-Version): Compliant with 3.8.4 (no changes needed).
  * debian/source/format: New file.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 20 May 2010 17:06:31 +0300

adun.app (0.81-2) unstable; urgency=high

  * debian/rules (build-stamp): Pass GNUSTEP_MAKE_PARALLEL_BUILDING=no;
    fixes FTBFS with gnustep-make/2.2.0.  (Closes: #560514)

 -- Yavor Doganov <yavor@gnu.org>  Fri, 11 Dec 2009 10:55:02 +0200

adun.app (0.81-1) unstable; urgency=low

  [ Andreas Tille ]
  * Fixed watch file (Thanks to Daniel Leidert <daniel.leidert@wgdd.de>)
    Closes: #520917
  * Standards-Version: 3.8.1 (no changes needed)

  [ David Paleino ]
  * Using DM-Upload-Allowed instead of the XS- version.
  * Fixing Vcs-* fields.

  [ Yavor Doganov ]
  * New upstream release.
  * debian/compat: Set to 7.
  * debian/control (Uploaders): Reluctantly add myself.
    (Section): Change to gnustep to match the override.
    (Build-Depends): Bump debhelper to >= 7.  Add imagemagick for the icon
    conversion.
    (Standards-Version): Claim compliance with 3.8.3.
    (Depends): Add ${gnustep:Depends}.
  * debian/patches/10_gcc-4.3-inline.dpatch:
  * debian/patches/25_mipsel-ftbfs.dpatch: Remove; fixed upstream.
  * debian/patches/15_link-properly.dpatch: Update and remove the
    workaround for the GSL linking issue; fixed in binutils
    (http://sourceware.org/ml/binutils/2009-01/msg00413.html).
  * debian/patches/20_paths.dpatch: Refresh.
  * debian/patches/00list: Update.
  * debian/rules (external): New variable.
    (build-stamp): Convert the icon in XPM format.
    (install): Use dh_prep instead of dh_clean -k.  Install the XPM icon.
    (clean-patched): Don't make the `clean' target, `distclean' is
    sufficient.  Delete the generated icon.
  * debian/UL.desktop: Set Version to 1.0, add Icon field.
  * debian/menu: Add icon.
  * debian/watch: Comment out the uversionmangle option, does harm with
    the current state of affairs.
  * debian/copyright: Update copyright years.  Mention that the package is
    distributed under GPLv3+.
  * debian/README.source: New file.

  [ Andreas Tille ]
  * debian/copyright: Use © as copyright symbol because (C) is not
    considered as a valid way to express the copyright ownership any more
  * debian/control: More verbose long description

 -- Yavor Doganov <yavor@gnu.org>  Thu, 08 Oct 2009 08:47:14 +0300

adun.app (0.8.2-1) unstable; urgency=low

  * QA upload.

  [ Gürkan Sengün ]
  * New upstream version.
  * GNUstep transition.
    + Updated debian/rules.
  * Added a desktop file.
  * Applied patch to fix FTBFS with GCC 4.3, thanks to Martin Michlmayr.
    (Closes: #416859)

  [ Yavor Doganov ]
  * debian/control (Maintainer): Package is orphaned, set to the Debian QA
    Group.
    (Standards-Version): Claim compliance with 3.7.3; no changes needed.
    (Build-Depends): Add dpatch; list all build-deps one per line.  Bump
    debhelper to >= 6.
    (Recommends): Add gnuplot.
  * debian/compat: Set to level 6.
  * debian/dirs: Delete.
  * debian/rules: Include /usr/share/dpatch/dpatch.make and adjust all
    rules to use it.  Do not source GNUstep.sh (Closes: #450469).
    (LDFLAGS, d_app): Define.
    (OPTFLAG): New conditionally defined variable (support for `noopt').
    (build-stamp): Prepend MAKELEVEL=0 before make so that conditionals in
    some of the makefiles relying on this internal variable actually work.
    (install): Install the private libraries in /usr/lib/adun.app.  Remove
    the executable bit of some files and delete the empty directories.
    (binary-arch): Invoke dh_link to make all symlinks policy-compliant.
    Run `gsdh_gnustep' and move conditionally the Resources to /usr/share.
  * debian/lintian-override: Delete.
  * debian/UL.desktop: Add Comment field.
  * debian/menu (section): Prepend `Biology'.
    (longtitle): Add.
  * debian/README.Debian: Add; instructions how to build and install the
    plugins and the ResultsConverter tool.
  * debian/AdunCore.1: New manpage.
  * debian/AdunServer.1: Likewise.
  * debian/UL.1: Link to AdunCore and AdunServer.
  * debian/manpages: Add AdunCore.1 and AdunServer.1.
  * debian/patches/05_no-plugin-script.dpatch: New patch, do not install
    InstallPlugin.py.
  * debian/patches/10_gcc-4.3-inline.dpatch: Actually add this patch;
    modified since tbm's patch was for an old Adun version.
  * debian/patches/15_link-properly.dpatch: New, link all objects with the
    necessary libs and workaround #456898.
  * debian/patches/20_paths.dpatch: New, fix some paths and settings.
  * debian/patches/25_mipsel-ftbfs.dpatch: New, fixes FTBFS on mipsel
    where $HOME is not readable; thanks Steve Langasek (Closes: #457723).
  * debian/patches/00list: Create and populate.

  [ Andreas Tille ]
  * Maintainer: Debian-Med Packaging Team
    <debian-med-packaging@lists.alioth.debian.org>
    Closes: #454459
  * Added watch file
  * Added Vcs-Browser, Vcs-Svn, XS-DM-Upload-Allowed
  * Uploaders: Andreas Tille <tille@debian.org>
  * debian/rules: ifdef GS_MAKE_DIR condition to avoid problems on
    systems that do not have gnustep-make installed

 -- Andreas Tille <tille@debian.org>  Mon, 21 Jan 2008 19:01:19 +0100

adun.app (0.6-3) unstable; urgency=low

  * Fix the FTBFS for non-i386 properly.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 23 Oct 2006 19:40:24 +0200

adun.app (0.6-2) unstable; urgency=low

  * Added Defs for the archs that failed to build.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 23 Oct 2006 17:07:59 +0200

adun.app (0.6-1) unstable; urgency=low

  * Initial release. (Closes: #385340)
  * Added Defs/GNU/kFreeBSD_i586.def to build on GNU/kFreeBSD.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun,  3 Sep 2006 18:34:19 +0200
